import {imageTextData} from "./ImageTextData";
import {createImageText} from "./ImageTextComponent";

export default {
  title: 'Components/Image and Text',
  argTypes: {
    listItems: {
      name: 'listItems',
      control: {type: 'object'},
      defaultValue: imageTextData,
    }
  }
}
const Template = ({...args}) => {
  return createImageText({...args});
}

export const ImageAndText = Template.bind({});
ImageAndText.args = {};

export const ImageAndTextColored = Template.bind({});
ImageAndTextColored.args = {
  colored: 'colored',
};

export const ImageAndTextSwitched = Template.bind({});
ImageAndTextSwitched.args = {
  switched: 'switched',
};
